From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/concurrent-ruby/
Date: Tue, 3 May 2016 18:56:12 +0000 (UTC) [thread overview]
Message-ID: <1462301766.f3316a183f3c3c58dab6b2c42ae30e0f51b8cb03.graaff@gentoo> (raw)
commit: f3316a183f3c3c58dab6b2c42ae30e0f51b8cb03
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue May 3 05:04:44 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue May 3 18:56:06 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3316a18
dev-ruby/concurrent-ruby: add 1.0.2
Package-Manager: portage-2.2.26
dev-ruby/concurrent-ruby/Manifest | 1 +
.../concurrent-ruby/concurrent-ruby-1.0.2.ebuild | 36 ++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-ruby/concurrent-ruby/Manifest b/dev-ruby/concurrent-ruby/Manifest
index e2e4eb7..70ceac9 100644
--- a/dev-ruby/concurrent-ruby/Manifest
+++ b/dev-ruby/concurrent-ruby/Manifest
@@ -1,2 +1,3 @@
DIST concurrent-ruby-1.0.0.tar.gz 1269980 SHA256 21a5942bd18d6ca2bdf547f16925f167b0c18592f737091ea5531f07de92fba0 SHA512 5b2a6b5d0e43d1df768d9e18328ecee04796af70edaa72646431e0c4e2ff75387542cce8f78b69d73514166348ed73f906f00bd6e627969159ab1ce4e2a75e6c WHIRLPOOL c7875df7f5c3f91487c1a85a46948225ccfebeb625ae1d4c6fd5b87ba7f224bc50aeb782a58bcfd6f5423d52dea7a54ef57189ae0bc4a23b5996e0b9b41feede
DIST concurrent-ruby-1.0.1.tar.gz 1277569 SHA256 696c1f8044f072512d512b48c21e9c66ec4e970706cdbb8fa90e0fab5a4ea254 SHA512 14dfdad55701fcdf6ac97e87ac9ee4113340d8f2a01eb1970b2635b175a34d04c9f208d2ed445dfd8d28f67acb5cd8b6e2e89ace86bccff8c8728ee69eb0f87a WHIRLPOOL 5166bd500deeab934e97ff9c560e6d56d37113201436f528a63a57af91cc9cbb2e4ff5f45397fd77ff01db8b4eb816ec4678cf8f404e09cfd740e79dbffdf929
+DIST concurrent-ruby-1.0.2.tar.gz 1278198 SHA256 a8051789e6b08448ae350031cf13ec563b0a176651b7d81d9f9e845b9b126ff4 SHA512 ad82af8bb5a6aeb6133466580e3e6b51cc37dcc9391b0bbfdc5230ac761453747fcac1b080a09772c90d7a05047ae4ac0ba4113fbd048c4b3c3712064b7a22d9 WHIRLPOOL 55a8d668cad46f357d3b54428f0ab42b349f46b5e9a785cf053944ef96a4f0267b775911b7cec5d6d64bc40fb7efc1f1cc0ef5affdc7307ea5e40db8af6dc87c
diff --git a/dev-ruby/concurrent-ruby/concurrent-ruby-1.0.2.ebuild b/dev-ruby/concurrent-ruby/concurrent-ruby-1.0.2.ebuild
new file mode 100644
index 0000000..95d58e9
--- /dev/null
+++ b/dev-ruby/concurrent-ruby/concurrent-ruby-1.0.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Modern concurrency tools including agents, futures, promises, thread pools, more"
+HOMEPAGE="https://github.com/ruby-concurrency/concurrent-ruby"
+SRC_URI="https://github.com/ruby-concurrency/concurrent-ruby/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64 ~arm ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+ # Remove edge files as defined in support/file_map.rb
+ rm -rf {lib,spec}/concurrent/{actor,channel,edge}* \
+ lib/concurrent/{concurrent-edge,lazy_register.rb} \
+ spec/concurrent/lazy_register_spec.rb || die
+ sed -i -e '/concurrent-edge/ s:^:#:' spec/spec_helper.rb || die
+
+ # Remove specs for the ext gem
+ rm -rf spec/concurrent/atomic || die
+
+ sed -i -e '/file_map/d' -e '/s.files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
next reply other threads:[~2016-05-03 18:56 UTC|newest]
Thread overview: 83+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-05-03 18:56 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-14 21:59 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/concurrent-ruby/ Sam James
2024-10-09 6:59 Arthur Zamarin
2024-10-09 5:46 Sam James
2024-10-06 14:29 Arthur Zamarin
2024-10-06 13:30 Arthur Zamarin
2024-10-06 13:30 Jakov Smolić
2024-10-06 11:22 Sam James
2024-08-12 6:11 Hans de Graaff
2024-06-15 6:04 Hans de Graaff
2024-06-09 9:20 Hans de Graaff
2024-06-01 6:17 Hans de Graaff
2024-05-25 6:20 Hans de Graaff
2024-01-20 8:44 Hans de Graaff
2024-01-06 8:02 Hans de Graaff
2023-08-27 17:59 Hans de Graaff
2023-06-17 8:15 Hans de Graaff
2023-04-23 22:12 Sam James
2023-04-23 20:22 Sam James
2023-04-23 20:22 Sam James
2023-04-23 20:01 Sam James
2023-04-23 19:53 Sam James
2023-04-23 19:52 Sam James
2023-04-23 19:52 Sam James
2023-04-10 10:24 Sam James
2023-04-10 10:24 Sam James
2023-04-10 10:24 Sam James
2023-04-10 10:21 Sam James
2023-04-10 10:21 Sam James
2023-04-10 10:20 Sam James
2023-04-10 10:20 Sam James
2023-03-28 22:56 Sam James
2023-03-28 18:51 Sam James
2023-03-28 16:46 Sam James
2023-03-28 16:10 Sam James
2023-03-28 16:07 Sam James
2023-03-28 16:04 Sam James
2023-03-28 16:04 Sam James
2023-03-18 23:10 Sam James
2023-02-04 7:41 Hans de Graaff
2022-03-31 5:39 Hans de Graaff
2021-10-30 5:16 Hans de Graaff
2021-10-28 14:02 Agostino Sarubbo
2021-10-28 14:00 Agostino Sarubbo
2021-10-27 4:13 Sam James
2021-10-26 13:28 Agostino Sarubbo
2021-10-26 5:53 Sam James
2021-10-26 3:14 Sam James
2021-10-24 8:11 Sam James
2021-10-24 6:00 Hans de Graaff
2021-08-11 14:29 Marek Szuba
2021-07-18 9:17 Hans de Graaff
2021-03-24 13:24 Hans de Graaff
2021-01-22 7:05 Hans de Graaff
2020-08-29 4:57 Hans de Graaff
2020-01-23 6:44 Hans de Graaff
2019-06-04 13:30 Agostino Sarubbo
2019-05-23 13:15 Mikle Kolyada
2019-05-13 0:38 Thomas Deutschmann
2019-04-28 20:59 Sergei Trofimovich
2019-01-09 8:07 Hans de Graaff
2018-07-09 19:07 Sergei Trofimovich
2018-03-30 6:13 Hans de Graaff
2017-12-25 9:27 Hans de Graaff
2017-12-25 9:27 Hans de Graaff
2017-12-20 22:16 Sergei Trofimovich
2017-06-28 20:49 Sergei Trofimovich
2017-05-06 6:41 Hans de Graaff
2017-02-27 6:52 Hans de Graaff
2017-02-27 6:52 Hans de Graaff
2017-02-14 0:36 Michael Weber
2016-12-27 6:22 Hans de Graaff
2016-12-18 7:45 Hans de Graaff
2016-12-18 7:45 Hans de Graaff
2016-10-02 12:32 Jeroen Roovers
2016-07-06 5:33 Hans de Graaff
2016-07-05 8:49 Tobias Klausmann
2016-07-05 4:14 Hans de Graaff
2016-04-01 19:10 Fabian Groffen
2016-03-15 17:29 Markus Meier
2016-02-28 6:23 Hans de Graaff
2016-02-05 7:39 Hans de Graaff
2016-02-05 6:51 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1462301766.f3316a183f3c3c58dab6b2c42ae30e0f51b8cb03.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox